%define _use_internal_dependency_generator 0

Name: perl-Digest-SHA
Version: 5.47
Release: 1%{?dist}
Summary: Digest-SHA Perl module
License: Perl
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=Digest%3a%3aSHA
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: Digest-SHA-%{version}.tar.gz

%description
Digest::SHA is a complete implementation of the NIST Secure Hash
Standard.  It gives Perl programmers a convenient way to calculate
SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message digests.
The module can handle all types of input, including partial-byte
data.

%prep
%setup -q -n Digest-SHA-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test


%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > Digest-SHA-%{version}-filelist
if [ "$(cat Digest-SHA-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Digest-SHA-%{version}-filelist
%defattr(-,root,root)
%doc Changes README

%changelog
* Fri Aug 18 2006 Josko Plazonic <plazonic@math.princeton.edu>
- first build
